For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList Webhook Logs
      • GETGet Webhook Log Detail
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIWebhook Logs

List Webhook Logs

||View as Markdown|
GET
/logs
GET
/v2/logs
$curl -G https://api.synthflow.ai/v2/logs \
> -H "Authorization: Bearer <token>" \
> -d workspace_id=1727192238961x413997613917405200 \
> -d status=success \
> -d assistant_id=37dd5a94-4fc8-4989-a2c1-ca761d182ffa
1{
2 "status": "string",
3 "response": {
4 "items": [
5 {
6 "request_timestamp": "2024-01-15T09:30:00Z",
7 "webhook_log_id": "string",
8 "model_id": "string",
9 "status": "string",
10 "webhook_url": "string",
11 "response_status_code": 1,
12 "http_method": "string"
13 }
14 ],
15 "total": 150,
16 "page_size": 10,
17 "page_number": 1
18 }
19}
Retrieve a paginated list of webhook logs with filtering and search capability
Was this page helpful?
Previous

Get Webhook Log Detail

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

workspace_idstringRequired
page_numberintegerOptional
page_sizeintegerOptional
searchstringOptional
webhook_typeenumOptional
Allowed values:
statusenumOptional
Filter webhook logs by status
Allowed values:
http_methodenumOptional
Allowed values:
from_datedatetimeOptional
to_datedatetimeOptional
assistant_idstringOptional
call_idstringOptional

Response

Paginated list of webhook logs
statusstring
responseobject

Errors

403
Forbidden Error
422
Unprocessable Entity Error